Description: When creating a new issue, most fields are drop down. I'd suggest going with something similar to Jira where 

you have the possibility to still use the drop down, but also have the ability to auto complete typed text.

This would require validation of typed text (make sure that the value exist within the list).

The goal here is to be able to support larger lists. As you can see from ChiliProject's own category list, it is 
long. This is also the same for the Assignee list which could be very long when you have many employees 
which can have a task assigned to them. It would be much easier and quicker to be able to type it in instead.

History
2011-06-13 02:57 am - Tom Rochette
This is not a bug but a feature request. Anyone that can change this to a feature request, please do it. Thanks!

2011-06-16 04:15 am - Muntek Singh
- Tracker changed from Bug to Feature

2011-06-17 03:21 pm - Eric Davis
I agree, this could be a good feature to add. We might need to split it into smaller features because there are quite a bit of fields that could use 
autocomplete.

2011-12-09 09:54 pm - Brian Jacobi
+1 Would really like to see this so would my users. 

2013-01-23 01:52 pm - Wiki Bit
+1
